Subject: Ticket Assigned - Article Feedback - I have a few questions about the Iconic products I’ve bought on SplashFashions.com. Who should I reach out to?
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 16 Aug 2022 07:20:14 +0000

Hi Amira Alanaz,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I have a few questions about the Iconic products I’ve bought on SplashFashions.com. Who should I reach out to? Feedback for:  I have a few questions about the Iconic products I’ve bought on SplashFashions.com. Who should I reach out to? عندى مشكلة و محتاج حل  
المشلكة فى مقاس البنطلون https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4734658